Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2078710 - livecd-tools-29.0-1.fc36: ModuleNotFoundError: No module named 'errors'
Summary: livecd-tools-29.0-1.fc36: ModuleNotFoundError: No module named 'errors'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-26 05:17 UTC by Kamil Páral
Modified: 2022-05-12 01:46 UTC (History)
8 users (show)

Fixed In Version: livecd-tools-30.0-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-05 18:37:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Kamil Páral 2022-04-26 05:17:26 UTC
Description of problem:
This bodhi update [1] containing livecd-tools-29.0-1.fc36 breaks it:

$ sudo livecd-creator --cache /var/tmp/livecd --releasever 36 -c live.ks

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 31, in <module>
    import imgcreate
  File "/usr/lib/python3.10/site-packages/imgcreate/__init__.py", line 19, in <module>
    from imgcreate.live import *
  File "/usr/lib/python3.10/site-packages/imgcreate/live.py", line 35, in <module>
    from imgcreate.fs import *
  File "/usr/lib/python3.10/site-packages/imgcreate/fs.py", line 35, in <module>
    from imgcreate.util import *
  File "/usr/lib/python3.10/site-packages/imgcreate/util.py", line 23, in <module>
    from errors import *
ModuleNotFoundError: No module named 'errors'


After I downgrade back to current stable version, everything works fine:

$ sudo dnf distrosync livecd-tools --repo fedora
Last metadata expiration check: 0:00:21 ago on Út 26. dubna 2022, 07:10:54.
Dependencies resolved.
======================================================================================================================
 Package                                Architecture         Version                       Repository            Size
======================================================================================================================
Downgrading:
 livecd-iso-to-mediums                  x86_64               1:28.3-5.fc36                 fedora                47 k
 livecd-tools                           x86_64               1:28.3-5.fc36                 fedora                59 k
 python-imgcreate-sysdeps               x86_64               1:28.3-5.fc36                 fedora                10 k
 python3-imgcreate                      x86_64               1:28.3-5.fc36                 fedora               101 k


Now livecd-creator works fine.

After I upgrade back to testing version, it's broken again:

$ sudo dnf distrosync
Last metadata expiration check: 0:01:02 ago on Út 26. dubna 2022, 07:11:01.
Dependencies resolved.
======================================================================================================================
 Package                              Architecture       Version                    Repository                   Size
======================================================================================================================
Upgrading:
 livecd-iso-to-mediums                x86_64             1:29.0-1.fc36              updates-testing              59 k
 livecd-tools                         x86_64             1:29.0-1.fc36              updates-testing              63 k
 python-imgcreate-sysdeps             x86_64             1:29.0-1.fc36              updates-testing              11 k
 python3-imgcreate                    x86_64             1:29.0-1.fc36              updates-testing             104 k



[1] https://bodhi.fedoraproject.org/updates/FEDORA-2022-794d75ddf5


Version-Release number of selected component (if applicable):
livecd-iso-to-mediums-29.0-1.fc36.x86_64
livecd-tools-29.0-1.fc36.x86_64
python-imgcreate-sysdeps-29.0-1.fc36.x86_64
python3-imgcreate-29.0-1.fc36.x86_64


How reproducible:
always

Steps to Reproduce:
1. livecd-creator --cache /var/tmp/livecd --releasever 36 -c live.ks

Comment 1 Fedora Update System 2022-04-26 16:08:01 UTC
FEDORA-2022-30c0b0af10 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-30c0b0af10

Comment 2 Fedora Update System 2022-04-26 16:08:58 UTC
FEDORA-2022-e4a46d0bd0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4a46d0bd0

Comment 3 Fedora Update System 2022-04-26 16:09:34 UTC
FEDORA-2022-095ac0abfb has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-095ac0abfb

Comment 4 Fedora Update System 2022-04-26 16:10:15 UTC
FEDORA-EPEL-2022-6e41e4f037 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-6e41e4f037

Comment 5 Fedora Update System 2022-04-26 16:10:40 UTC
FEDORA-EPEL-2022-4330344c6b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4330344c6b

Comment 6 Fedora Update System 2022-04-26 22:01:54 UTC
FEDORA-2022-30c0b0af10 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-30c0b0af10`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-30c0b0af10

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Kamil Páral 2022-04-27 08:01:55 UTC
(In reply to Fedora Update System from comment #1)
> FEDORA-2022-30c0b0af10 has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-30c0b0af10

I built a Fedora Workstation iso, booted ok

Comment 8 Fedora Update System 2022-04-27 08:37:06 UTC
FEDORA-EPEL-2022-6e41e4f037 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-6e41e4f037

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-04-27 08:42:41 UTC
FEDORA-EPEL-2022-4330344c6b has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4330344c6b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-04-27 09:14:37 UTC
FEDORA-2022-095ac0abfb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-095ac0abfb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-095ac0abfb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-04-27 09:31:49 UTC
FEDORA-2022-e4a46d0bd0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e4a46d0bd0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4a46d0bd0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-04-30 19:25:00 UTC
FEDORA-EPEL-2022-4330344c6b has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-04-30 19:26:59 UTC
FEDORA-EPEL-2022-6e41e4f037 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-05-03 14:54:58 UTC
FEDORA-2022-e4a46d0bd0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-05-05 18:37:14 UTC
FEDORA-2022-30c0b0af10 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-05-12 01:46:50 UTC
FEDORA-2022-095ac0abfb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.